#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const exec_1 = __importDefault(require("./exec"));
const init_1 = __importDefault(require("./init"));
const minimist_1 = __importDefault(require("minimist"));
const help_1 = require("./help");
const args = (0, minimist_1.default)(process.argv.slice(2), {
    boolean: ['help'],
    alias: {
        h: 'help',
    },
});
if (args.help) {
    console.info(help_1.help);
    process.exit(0);
}
const command = args._[0];
if (command === 'init') {
    const templateName = args._[1];
    (0, init_1.default)(templateName).then(() => process.exit(0));
}
else {
    (0, exec_1.default)(args);
}
//# sourceMappingURL=index.js.map