"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigChecks = void 0;
const brokerClientUrlCheck_1 = require("./brokerClientUrlCheck");
function getConfigChecks(config) {
    return [brokerClientUrlCheck(config)];
}
exports.getConfigChecks = getConfigChecks;
const brokerClientUrlCheck = (config) => {
    const url = config.BROKER_CLIENT_URL;
    return {
        id: 'broker-client-url-validation',
        name: 'Broker Client URL Validation Check',
        enabled: url != undefined && url.length > 0,
        check: async function () {
            return await (0, brokerClientUrlCheck_1.validateBrokerClientUrl)({ id: this.id, name: this.name }, config);
        },
    };
};
//# sourceMappingURL=index.js.map