"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.healthCheckHandler = void 0;
const primus_1 = __importDefault(require("primus"));
const version_1 = __importDefault(require("../../common/utils/version"));
const healthCheckHandler = 
// io is available in res.locals.io
(req, res) => {
    // healthcheck state depends on websocket connection status
    // value of primus.Spark.OPEN means the websocket connection is open
    const isConnOpen = res.locals.io.readyState === primus_1.default.Spark.OPEN;
    const status = isConnOpen ? 200 : 500;
    const data = {
        ok: isConnOpen,
        websocketConnectionOpen: isConnOpen,
        brokerServerUrl: res.locals.io.url.href,
        version: version_1.default,
        transport: res.locals.io.socket.transport.name,
    };
    return res.status(status).json(data);
};
exports.healthCheckHandler = healthCheckHandler;
//# sourceMappingURL=healthcheckHandler.js.map