"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openHandler = void 0;
const logger_1 = require("../../logs/logger");
const openHandler = (io, clientOps, identifyingMetadata) => {
    const metadata = {
        capabilities: identifyingMetadata.capabilities,
        clientId: identifyingMetadata.clientId,
        preflightChecks: identifyingMetadata.preflightChecks,
        version: identifyingMetadata.version,
    };
    logger_1.log.info({
        url: clientOps.config.brokerServerUrl,
        serverId: clientOps.config.serverId || '',
        token: clientOps.config.brokerToken,
        metadata,
    }, 'successfully established a websocket connection to the broker server');
    const clientData = {
        token: clientOps.config.brokerToken,
        metadata: identifyingMetadata,
    };
    io.send('identify', clientData);
};
exports.openHandler = openHandler;
//# sourceMappingURL=openHandler.js.map