"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reconnectFailedHandler = exports.reconnectScheduledHandler = void 0;
const logger_1 = require("../../logs/logger");
const reconnectScheduledHandler = (opts) => {
    const attemptIn = Math.floor(opts.scheduled / 1000);
    logger_1.log.warn(`Reconnect retry #${opts.attempt} of ${opts.retries} in about ${attemptIn}s`);
};
exports.reconnectScheduledHandler = reconnectScheduledHandler;
const reconnectFailedHandler = (io) => {
    io.end();
    logger_1.log.error('Reconnect failed');
    process.exit(1);
};
exports.reconnectFailedHandler = reconnectFailedHandler;
//# sourceMappingURL=reconnectHandler.js.map