"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.axiosInstance = void 0;
const axios_1 = __importDefault(require("axios"));
const logger_1 = require("../../logs/logger");
const axios_retry_1 = __importDefault(require("axios-retry"));
const axiosInstance = axios_1.default.create({
    timeout: 2500,
});
exports.axiosInstance = axiosInstance;
(0, axios_retry_1.default)(axiosInstance, {
    retries: 3,
    retryCondition: () => true,
    shouldResetTimeout: true,
    retryDelay: axios_retry_1.default.exponentialDelay,
    onRetry: (retryCount, error, requestConfig) => {
        if (retryCount > 2) {
            logger_1.log.warn({
                retryCount,
                errorMessage: error.message,
                url: requestConfig.url,
                requestId: requestConfig.headers && requestConfig.headers['Snyk-Request-Id'],
            }, `retrying request x ${retryCount} `);
        }
    },
});
//# sourceMappingURL=axios.js.map