"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.legacyStreamResponseHandler = void 0;
const logger_1 = require("../../logs/logger");
const metrics_1 = require("../utils/metrics");
const server_post_stream_handler_1 = require("../http/server-post-stream-handler");
/**
 * @deprecated Deprecated in favour of {@link StreamResponseHandler} */
const legacyStreamResponseHandler = (token) => {
    return (streamingID, chunk, finished, ioResponse) => {
        const streamFromId = server_post_stream_handler_1.streamsStore.get(streamingID);
        if (streamFromId) {
            const { streamBuffer, response } = streamFromId;
            let { streamSize } = streamFromId;
            if (streamBuffer) {
                if (ioResponse) {
                    response.status(ioResponse.status).set(ioResponse.headers);
                }
                if (chunk) {
                    streamSize += chunk.length;
                    streamBuffer.write(chunk);
                    server_post_stream_handler_1.streamsStore.set(streamingID, { streamSize, streamBuffer, response });
                }
                if (finished) {
                    streamBuffer.end();
                    server_post_stream_handler_1.streamsStore.del(streamingID);
                    (0, metrics_1.observeResponseSize)({
                        bytes: streamSize,
                        isStreaming: true,
                    });
                }
            }
            else {
                logger_1.log.warn({ streamingID, token }, 'discarding binary chunk');
            }
        }
        else {
            logger_1.log.warn({ streamingID, token }, 'trying to write into a closed stream');
        }
    };
};
exports.legacyStreamResponseHandler = legacyStreamResponseHandler;
//# sourceMappingURL=LegacyStreamResponseHandler.js.map