"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEncodedBasicAuth = exports.getEncodedTokenBasedBasicAuth = void 0;
const replace_vars_1 = require("./replace-vars");
const config_1 = require("../config");
// Not standardized Basic auth format, currently using in Azure Repos API
const getEncodedTokenBasedBasicAuth = (token, config) => {
    return Buffer.from((0, replace_vars_1.replace)(token, config)).toString('base64');
};
exports.getEncodedTokenBasedBasicAuth = getEncodedTokenBasedBasicAuth;
const getEncodedBasicAuth = (username, password, config) => {
    return Buffer.from(`${(0, replace_vars_1.replace)(username, config)}:${(0, replace_vars_1.replace)(password, config)}`).toString('base64');
};
exports.getEncodedBasicAuth = getEncodedBasicAuth;
exports.default = ({ scheme, token = '', username = '', password = '' }) => {
    if (scheme === 'token') {
        return `Token ${(0, replace_vars_1.replace)(token, config_1.config)}`;
    }
    if (scheme === 'bearer') {
        return `Bearer ${(0, replace_vars_1.replace)(token, config_1.config)}`;
    }
    if (scheme === 'basic') {
        const basicAuth = token
            ? (0, exports.getEncodedTokenBasedBasicAuth)(token, config_1.config)
            : (0, exports.getEncodedBasicAuth)(username, password, config_1.config);
        return `Basic ${basicAuth}`;
    }
};
//# sourceMappingURL=auth-header.js.map