"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.urlContainsProtocol = void 0;
const logger_1 = require("../../logs/logger");
/**
 * Returns `true` if URL contains a requested protocol, otherwise `false`.
 * @param url url to check
 * @param protocol protocol to compare
 */
function urlContainsProtocol(url, protocol) {
    try {
        const givenUrl = new URL(url);
        return givenUrl.protocol === protocol;
    }
    catch (error) {
        logger_1.log.error({ error }, 'Error parsing url');
        return false;
    }
}
exports.urlContainsProtocol = urlContainsProtocol;
//# sourceMappingURL=urlValidator.js.map