"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.app = void 0;
require("clarify"); // clean the stacktraces
const filter_rules_loading_1 = __importDefault(require("./common/filter/filter-rules-loading"));
const logger_1 = require("./logs/logger");
const config_1 = require("./common/config");
process.on('uncaughtExceptionMonitor', (error, origin) => {
    logger_1.log.error({ error, origin }, 'found unhandled exception');
});
process.on('unhandledRejection', (reason) => {
    logger_1.log.error({
        reason: reason.stack,
    }, 'caught unhandledRejection');
});
const app = async ({ port = 7341, client = false, config }) => {
    // note: the config is loaded in the main function to allow us to mock in tests
    if (process.env.JEST_WORKER_ID) {
        delete require.cache[require.resolve('./common/config')];
    }
    const method = client ? 'client' : 'server';
    process.env.BROKER_TYPE = method;
    // loading it "manually" simplifies lot testing
    (0, config_1.loadBrokerConfig)();
    const localConfig = Object.assign({}, config_1.config, config);
    const filters = (0, filter_rules_loading_1.default)(localConfig);
    if (method == 'client') {
        // if the localConfig has the broker server, then we must assume it's a client
        return await (await Promise.resolve().then(() => __importStar(require('./client')))).main({ config: localConfig, port: localConfig.port || port, filters });
    }
    else {
        return await (await Promise.resolve().then(() => __importStar(require('./server')))).main({ config: localConfig, port: localConfig.port || port, filters });
    }
};
exports.app = app;
if (!module.parent) {
    (0, exports.app)({ config: {} }).then(() => { });
}
//# sourceMappingURL=index.js.map