"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.logError = exports.logResponse = void 0;
const logger_1 = require("./logger");
const logResponse = (logContext, status, response, config) => {
    logContext.responseStatus = status;
    logContext.responseHeaders = response.headers;
    logContext.responseBody =
        config && config.LOG_ENABLE_BODY === 'true' ? response.body : null;
    logger_1.log.info(logContext, 'sending response back to websocket connection');
};
exports.logResponse = logResponse;
const logError = (logContext, error) => {
    logger_1.log.error({
        ...logContext,
        error,
        stackTrace: new Error('stacktrace generator').stack,
    }, 'error while sending websocket request over HTTP connection');
};
exports.logError = logError;
//# sourceMappingURL=log.js.map