"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectionStatusHandler = void 0;
const token_1 = require("../utils/token");
const socket_1 = require("../socket");
const logger_1 = require("../../logs/logger");
const connectionStatusHandler = (req, res) => {
    const token = req.params.token;
    const desensitizedToken = (0, token_1.getDesensitizedToken)(token);
    const connections = (0, socket_1.getSocketConnections)();
    if (connections.has(token)) {
        const clientsMetadata = connections.get(req.params.token).map((conn) => ({
            version: conn.metadata && conn.metadata.version,
            filters: conn.metadata && conn.metadata.filters,
        }));
        return res.status(200).json({ ok: true, clients: clientsMetadata });
    }
    logger_1.log.warn({ desensitizedToken }, 'no matching connection found');
    return res.status(404).json({ ok: false });
};
exports.connectionStatusHandler = connectionStatusHandler;
//# sourceMappingURL=connectionStatusHandler.js.map