"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.overloadHttpRequestWithConnectionDetailsMiddleware = void 0;
const logger_1 = require("../../logs/logger");
const token_1 = require("../utils/token");
const socket_1 = require("../socket");
const metrics_1 = require("../../common/utils/metrics");
const overloadHttpRequestWithConnectionDetailsMiddleware = (req, res, next) => {
    const connections = (0, socket_1.getSocketConnections)();
    const token = req.params.token;
    const desensitizedToken = (0, token_1.getDesensitizedToken)(token);
    req['maskedToken'] = desensitizedToken.maskedToken;
    req['hashedToken'] = desensitizedToken.hashedToken;
    // check if we have this broker in the connections
    if (!connections.has(token)) {
        (0, metrics_1.incrementHttpRequestsTotal)(true, 'inbound-request');
        logger_1.log.warn({ desensitizedToken }, 'no matching connection found');
        return res.status(404).json({ ok: false });
    }
    // Grab a first (newest) client from the pool
    // This is really silly...
    res.locals.io = connections.get(token)[0].socket;
    res.locals.socketVersion = connections.get(token)[0].socketVersion;
    res.locals.capabilities = connections.get(token)[0].metadata.capabilities;
    req['locals'] = {};
    req['locals']['capabilities'] =
        connections.get(token)[0].metadata.capabilities;
    // strip the leading url
    req.url = req.url.slice(`/broker/${token}`.length);
    logger_1.log.debug({ url: req.url }, 'request');
    next();
};
exports.overloadHttpRequestWithConnectionDetailsMiddleware = overloadHttpRequestWithConnectionDetailsMiddleware;
//# sourceMappingURL=httpRequestHandler.js.map