"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getForwardHttpRequestHandler = exports.getForwardWebSocketRequestHandler = exports.initConnectionHandler = void 0;
const forwardHttpRequest_1 = require("../../common/relay/forwardHttpRequest");
const forwardWebsocketRequest_1 = require("../../common/relay/forwardWebsocketRequest");
const identifyHandler_1 = require("./identifyHandler");
let forwardWebSocketResponse;
let forwardHttpRequestHandler;
const initConnectionHandler = (serverOpts, io) => {
    var _a;
    forwardWebSocketResponse = (0, forwardWebsocketRequest_1.forwardWebSocketRequest)(serverOpts, io);
    forwardHttpRequestHandler = (0, forwardHttpRequest_1.forwardHttpRequest)((_a = serverOpts.filters) === null || _a === void 0 ? void 0 : _a.public);
    initRelevantHandlers();
};
exports.initConnectionHandler = initConnectionHandler;
const initRelevantHandlers = () => {
    (0, identifyHandler_1.initIdentifyHandler)();
};
const getForwardWebSocketRequestHandler = () => {
    return forwardWebSocketResponse;
};
exports.getForwardWebSocketRequestHandler = getForwardWebSocketRequestHandler;
const getForwardHttpRequestHandler = () => {
    return forwardHttpRequestHandler;
};
exports.getForwardHttpRequestHandler = getForwardHttpRequestHandler;
//# sourceMappingURL=initHandlers.js.map